<?php echo '<?xml version="1.0" encoding="EUC-JP"?>' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<!--
$RCSfile: blackboard.html.inc,v $
$Date: 2005/06/29 14:03:46 $
$Author: die $

Ф HTML

Copyright (c) 2005 die kato

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
02111-1307, USA.
-->
<?php
	define('FRAME_LEFT', 40);
	define('FRAME_TOP', 90);
	define('FRAME_BOTTOM', 10);
	define('BACK_LEFT', 10);
	define('BACK_TOP', 10);
	define('NOTE_WIDTH', $blackboard_width); 
	define('NOTE_HEIGHT', $blackboard_height); 
?>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=EUC-JP" />
		<meta http-equiv="Content-Script-Type" content="text/javascript" />
		<meta http-equiv="Content-Style-Type" content="text/css" />
		<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php echo get_script_uri() . '?report=rss'?>" />
		<title><?php echo $title_str ?></title>
		<style type="text/css">
			<?php require('blackboard.css.inc') ?>
		</style>
		<script type="text/javascript">
		//<![CDATA[
			<?php require('blackboard.js.inc') ?>
		//]]>
		</script>
	</head>
	<body>
		<div class="base">
			<div>
				<a href="<?php echo $home_url ?>" title="ۡؤɤ" style="color:#000000;">
					<?php if ($title_img == "") { ?>
							<span class="titleString"><?php echo $title_str ?></span>
					<?php } else { ?>
							<img src="<?php echo $title_img ?>" alt="<?php echo $title_str ?>" class="titleImage" />
					<?php } ?>
				</a>
			</div>
			<div id="frame" class="frame">
				<div id="debug" class="debug">
				</div>
				<div id="back" class="back">
					<img id="chalkCursor" class="chalkCursor" src="images/chalk.png" alt="硼" style="display:none" />
					<img id="log" class="log" src="images/dummy.png" alt="Ф" />
					<div id="boardController" class="boardController">
					</div>
				</div>
				<form id="eraserForm" name="eraserForm" method="post" action="">
					<input type="hidden" name="erase" value="erase" />
					<input id="eraser" type="image" src="images/eraser.png" alt="Ф󤱤" class="eraser" title="åȤФ򤱤衣" />
				</form>
			</div>
			<div id="note" class="note">
				<div class="closedNote">
					<a id="noteOpener" href="#note">
						<img id="closedNote" src="images/note.gif" alt="Ρ" title="åȥΡȤҤ餯衣" border="0" />
					</a>
				</div>
				<table id="tool" class="tool" style="display:none">
					<tr>
						<td style="vertical-align:top;padding-right:20px">
							<form id="toolbox" name="toolbox" method="post" action="">
								<input id="pageTitle" name="t" type="hidden" value="" />
								<input id="save" type="image" src="images/pencil.png" alt="Ԥ" title="ФΡȤˤĤ" />
							</form>
						</td>
						<td style="vertical-align:top">
							<input id="earliest" type="image" src="images/earliest.png" alt="ФޤΥڡ" title="ФޤΥڡ"  />
							<input id="prev" type="image" src="images/prev.png" alt="ޤΥڡ" title="ޤΥڡ" />
							<input id="next" type="image" src="images/next.png" alt="ĤΥڡ" title="ĤΥڡ" />
							<input id="latest" type="image" src="images/latest.png" alt="Ф󤦤Υڡ" title="Ф󤦤Υڡ" />
						</td>
					</tr>
				</table>
				<div id="openedNote" class="openedNote" style="">
					<div id="shiori" class="shiori" style="display:none" ><img src="images/shiori.png" alt="" title="äΥڡؤɤ" /></div>
					<!--<div id="noteIndexTab" class="noteIndexTab">⤯</div>-->
					<div id="noteIndexTab" class="noteIndexTab"><img src="images/index.gif" alt="⤯" title="⤯" /></div>
					<table class="page" cellspacing="0">
						<tr>
							<!-- ڡü -->
							<td class="leftPage" style="height:30px">
							</td>
							<td class="noteCenterTop" style="height:30px">
							</td>
							<td class="rightPage" style="text-align:right;padding:2px">
								<button id="noteCloser" class="closeButton" type="button" alt="ΡȤȤܥ" title="ΡȤȤ">X</button>
								<!--
								<input id="noteCloser" type="image" src="images/noteclose.gif" alt="ΡȤȤ" title="ΡȤȤ" />
								-->
							</td>
						</tr>
						<tr>
							<!-- ڡ -->
							<td class="leftPage">
								<h1 id="pageTitleHolder"></h1>
								<div id="noteIndexListPage" class="noteIndexListPage" style="display:none"></div>
							</td>
							<td class="noteCenter">
							</td>
							<!-- ڡ -->
							<td class="rightPage">
								<div style="width:100%; height:100%">
									<div id="pageDateHolder" class="date"></div>
									<div id="noteIndexSearchPage" style="display:none">
										<table style="margin-left: 20px;">
											<tr>
												<td>ɡ</td>
												<td>
													<p><input id="noteIndexQuery" name="noteIndexQuery" type="text" value="" /></p>
												</td>
											</tr>
											<tr>
												<td>Ф</td>
												<td style="text-align:left">
													<p>
														<input type="radio" id="noteIndexOrderDesc" name="noteIndexOrder" />餷Τ<br />
														<input type="radio" id="noteIndexOrderAsc" name="noteIndexOrder" />դ뤤Τ
													</p>
												</td>
											</tr>
										</table>
										<p id="noteIndexPages">
										</p>
										<form id="noteIndexForm" name="noteIndexForm" method="get" action="" target="_blank">
											<p>
												<input type="hidden" name="report" value="rss" />
												<input type="hidden" id="noteIndexFormOrder" name="order" value="" />
												<input type="hidden" id="noteIndexFormStart" name="start" value="" />
												<input type="hidden" id="noteIndexFormNum" name="num" value="" />
												<input type="hidden" id="noteIndexFormQuery" name="query" value="" />
												<input type="image" id="noteIndexReport" alt="ݡȺ" title="ݡȤ򤵤" src="images/report.gif" />
											</p>
										</form>
									</div>
								</div>
							</td>
						</tr>
						<tr>
							<!-- ڡֹ -->
							<td id="pageNoLeft" class="leftPage" style="vertical-align:bottom; text-align:center">
							</td>
							<td class="noteCenter">
							</td>
							<td id="pageNoRight" class="rightPage" style="vertical-align:bottom; text-align:center">
							</td>
						</tr>
						<tr>
							<!-- ڡü -->
							<td style="height:5px;border-top:5px solid #999999">
							</td>
							<td class="noteCenterBottom" style="height:10px">
							</td>
							<td style="height:5px;border-top:5px solid #999999">
							</td>
						</tr>
					</table>
					<div id="entry" class="entry"><img id="pageImageHolder" class="noteLog" src="images/dummy.png" alt="ڡ" title="åǤۤǤ" /></div>
				</div>
				<div class="copyright">
				- <a href="http://blackboard.sourceforge.jp/">Ф ver0.10</a> Copyright (c) 2005 die kato -
				</div>
			</div>
			<div id="pageIndex" style="display:none"><?php
				// Ǥ礷̤ˤϤʤʤȻפΤǡ
				// ǽ˥ǥåɤ߹Ǥޤ
				// ̤ˤʤä顢⤦ɹͤľޤ
				if (file_exists(get_note_index_name())) {
					require(get_note_index_name());
				}
			?></div>
		</div>
	</body>
</html>
