<?php
/*
 * $RCSfile: blackboard.js.inc,v $
 * $Date: 2005/06/29 11:51:15 $
 * $Author: die $
 * 
 * Ф 饤¦ץ
 * Υեϡblackboard.html.inc˥󥯥롼ɤ롣
 * 
 * Copyright (c) 2005 die kato
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */
	if (isset($_REQUEST['page']) && strlen($_REQUEST['page']) > 0) {
		$page = htmlspecialchars($_REQUEST['page']);
	}
?>

/*
 * Ф󥢥ץꥱ
 */
function BlackBoard(name) {
	var b = this;
	var app = name;
	this.b = b;
	this.app = app;
	this.OFFSET_X = <?php echo FRAME_LEFT + BACK_LEFT ?>; // frame.left + back.left
	this.OFFSET_Y = <?php echo FRAME_TOP + BACK_TOP ?>; // frame.top + back.top
	this.IMAGE = "<?php echo get_blackboard_image_name(); ?>";

	/*
	 * 
	 */
	this.initialize = function() {
		this.debug = this.element('debug');
		this.chalk = new this.Chalk();
		this.controller = this.element('boardController');

		this.element('eraser').onclick = function() {
			return confirm('֤ޤ衣Ǥ');
		};

		// ι
		this.log = this.element('log');
		this.updateLog();

		// ľä
		this.element('eraserForm').action = location.pathname + '?' + (new Date().getTime());

		// Ρ
		this.note = new this.Note();

		if (location.hash == "#note") {
			var index = 0;
			<?php if (isset($page)) { ?>
				index = this.note.getIndexByDate("<?php echo $page ?>");
			<?php } ?>
			this.note.open(index);
		} else {
			this.note.close();
		}

		// ꥯȥޥ͡
		this.rm = new this.RequestManager();
		this.rm.ping();

		// ɥå
		this.controller.onmousedown = function(e) {
			b.chalk.down(b.getMouseX(e), b.getMouseY(e));
		}

	}

	/*
	 * ץåȥե¸ν
	 * ua: 桼̾
	 */
	this.initializeWith = function(ua) {
		this.dynamicLoad('preInitialize', '/platforms/' + ua + '.pre.js');
		this.preInitialize(ua);
	}

	/*
	 * ץåȥե¸ν
	 * ua: 桼̾
	 */
	this.preInitialize = function(ua) {
		if (this.preInitialized) {
			this.initialize();
			// ץåȥե¸ν
			this.dynamicLoad('postInitialize', '/platforms/' + ua + '.post.js');

			this.postInitialize(ua);
			return;
		}
		setTimeout(app + ".preInitialize('" + ua + "')", 500);
	}

	/*
	 * ץåȥե¸ν
	 * ua: 桼̾
	 */
	this.postInitialize = function(ua) {
		if (this.postInitialized) {
			return;
		}
		setTimeout(app + ".postInitialize('" + ua + "')", 500);
	}

	/*
	 * ʥߥå
	 */
	this.dynamicLoad = function(id, file) {
		var path = '<?php echo get_server() . dirname($_SERVER['PHP_SELF']) ?>' + file;
		document.body.innerHTML += '<script id="' + id + '" type="text/javascript" src="" + charset="EUC-JP" />';

		var script = document.getElementById(id);
		script.src = path;
	}

	/*
	 * Υåץǡ
	 */
	this.updateLog = function() {
		this.log.src = this.IMAGE + "?" + (new Date().getTime());
	}

	/*
	 * ID饨Ȥ
	 * document.getElementByIdιʸ
	 */
	this.element = function(id) {
		return document.getElementById(id);
	}

	/*
	 * ޥXɸ
	 * e: ٥
	 */
	this.getMouseX = function(e) {
		return e.pageX - this.OFFSET_X;
	}

	/*
	 * ޥYɸ
	 * e: ٥
	 */
	this.getMouseY = function(e) {
		return e.pageY - this.OFFSET_Y;
	}

	/*
	 * 硼
	 */
	this.Chalk = function() {
		/*
		 * 
		 */
		this.initialize = function() {
			this.isDown = false;
			this.points = new Array();
			//this.chalkCursor = b.element('chalkCursor');
		}
	
		/*
		 * 硼򲼤
		 * x: Xɸ
		 * y: Yɸ
		 */
		this.down = function(x, y) {
			this.script = "";
			this.isDown = true;
			this.moveTo(x, y);
			//this.chalkCursor.style.display = 'inline';
		}
	
		/*
		 * 硼夲
		 */
		this.up = function() {
			this.isDown = false;
			this.script += "l ";
			//this.chalkCursor.style.display = 'none';
		}
	
		/*
		 * 硼ư
		 * x: Xɸ
		 * y: Yɸ
		 */
		this.moveTo = function(x, y) {
			var point = document.createElement('span');
			point.style.left = "" + x + "px";
			point.style.top = "" + y + "px";
			//this.chalkCursor.style.left = point.style.left;
			//this.chalkCursor.style.top = point.style.top;
			b.controller.appendChild(point);
			this.points.push(point);
			this.script += x + " " + y + " ";
		}
		this.initialize();
	}
	
	/*
	 * ꥯȥޥ͡
	 */
	this.RequestManager = function() {
		this.CONTENT_TYPE = "application/x-www-form-urlencoded;charset=EUC-JP";
		this.STATE_UNINITIALIZED = 0;
		this.STATE_COMPLETE = 4;
		this.STATUS_OK = 200;
		this.STATUS_PARTIAL_CONTENT = 206;
		this.STATUS_NOT_MODIFIED = 304;
		this.INTERVAL_MIN = 5000;
	
		/*
		 * 
		 */
		this.initialize = function() {
			this.interval = this.INTERVAL_MIN;
			this.req = this.createXMLHttpRequest();
			this.script = "";
			this.points = new Array();
	
		}
	
		/*
		 * XMLHttpRequest֥Ȥ
		 */
		this.createXMLHttpRequest = function() {
			return new XMLHttpRequest();
		}
	
		/*
		 * ץ
		 * s: ץ
		 * ds: 
		 */
		this.sendScript = function(s, ds) {
			var req = this.req;
			// Хåեɲ
			if (s != null) {
				this.script += s;
				this.points = this.points.concat(ds);
			}
			// Хåեʤ鲿⤷ʤ
			if (this.script == "") {
				return;
			}
			// reqʤ餢Ȥǥȥ饤
			if (!(req.readyState == this.STATE_UNINITIALIZED ||
			      req.readyState == this.STATE_COMPLETE)) {
				setTimeout(app + ".rm.sendScript();", this.INTERVAL_MIN);
				return;
			}
			req.onreadystatechange = function() {
				try {
					if (req.readyState == b.rm.STATE_COMPLETE) {
						if (req.status == b.rm.STATUS_OK) {
							b.rm.lastModified = req.responseText;
							b.updateLog();
							b.rm.removePoints(points);
							b.rm.resetPing();
						} else {
							// 顼ʤʤ
							b.rm.script += script;
							b.rm.points = b.rm.points.concat(points);
							setTimeout(app + ".rm.sendScript();", this.INTERVAL_MIN);
						}
					}
				} catch (e) {
					//try { req.abort(); } catch (ae) { }
				}
			}
			try {
				req.open("POST", location.pathname);
				req.setRequestHeader("content-type", this.CONTENT_TYPE);
				var script = this.script;
				var points = this.points;
				this.script = "";
				this.points = new Array();
				req.send("s=" + script);
			} catch (e) {
				try { req.abort(); } catch (ae) { }
			}
		}
	
		/*
		 * ä
		 * points: 
		 */
		this.removePoints = function(points) {
			for (var i in points) {
				try {
					b.controller.removeChild(points[i]);
				} catch (e) {
				}
			}
		}
	
		/*
		 * 󥿡ХǾ˥åȤơpingʤ
		 */
		this.resetPing = function() {
			this.interval = this.INTERVAL_MIN;
			clearInterval(this.pingTimer);
			this.pingTimer = setInterval(app + ".rm.ping();", this.interval);
		}
	
		/*
		 * å
		 */
		this.ping = function() {
			var req = this.req;
			// reqʤ齪λ
			if (!(req.readyState == this.STATE_UNINITIALIZED ||
			      req.readyState == this.STATE_COMPLETE)) {
				return;
			}
			req.onreadystatechange = function() {
				if (req.readyState == b.rm.STATE_COMPLETE) {
					if (req.status == b.rm.STATUS_PARTIAL_CONTENT) {
						try {
							// Safari: ʤƤstatusǤʤ礬
							var lastModified = req.getResponseHeader("Last-Modified");
							if (b.rm.lastModified != lastModified) {
								b.rm.lastModified = lastModified;
								b.updateLog();
							}
						} catch (e) {
							//try { req.abort(); } catch (ae) { }
						}
						b.rm.resetPing();
					}
					b.rm.interval += b.rm.INTERVAL_MIN;
				}
			}
			try {
				req.open("HEAD", b.IMAGE);
				if (this.lastModified) {
					req.setRequestHeader("If-Modified-Since", this.lastModified);
				}
				// Safari: HEADΤGETƤޤȤؤн
				req.setRequestHeader("Range", "bytes=0-0");
				req.send(null);
	
				//this.pingTimer = setTimeout(app + ".rm.ping();", this.interval);
			} catch (e) {
				try { req.abort(); } catch (ae) { }
			}
		}
	
		this.initialize();
	}


	/*
	 * Ρ
	 */
	this.Note = function() {
		/*
		 * 
		 */
		this.initialize = function() {
			this.openedNote = b.element('openedNote');
			this.closedNote = b.element('closedNote');
			this.tool = b.element('tool');
			this.page = b.element('page');
			this.pageDateHolder = b.element('pageDateHolder');
			this.pageTitleHolder = b.element('pageTitleHolder');
			this.pageImageHolder = b.element('pageImageHolder');
			this.latestIcon = b.element('latest');
			this.nextIcon = b.element('next');
			this.earliestIcon = b.element('earliest');
			this.prevIcon = b.element('prev');
			this.pageNoLeft = b.element('pageNoLeft');
			this.pageNoRight = b.element('pageNoRight');

			b.element('noteOpener').onclick = function() { b.note.open(0); };
			b.element('noteCloser').onclick = function() { b.note.close(); };
			b.element('save').onclick = function() { return b.note.save(); };
			this.latestIcon.onclick = function() { b.note.latest(); };
			this.nextIcon.onclick = function() { b.note.next(); };
			this.prevIcon.onclick = function() { b.note.prev(); };
			this.earliestIcon.onclick = function() { b.note.earliest(); };

			this.indexPage = new this.IndexPage(this);

			this.createPages();
		}
	
		/*
		 * ڡ
		 */
		this.createPages = function() {
			this.pages = new Array();
			var s = b.element('pageIndex').innerHTML;
			var a1 = s.split('\n');
			for (var i in a1) {
				if (a1[i].match(/([^ ]*) (.*)/)) {
					this.pages.unshift(new this.Page(RegExp.$1, RegExp.$2));
				}
			}
		}
	
		/*
		 * ΡȤ򳫤
		 * index: ڡΥǥå
		 */
		this.open = function(index) {
			this.closedNote.style.display = 'none';
			this.openedNote.style.display = 'block';
			this.tool.style.display = 'block';
			this.load(index);
		}
	
		/*
		 * ΡȤĤ
		 */
		this.close = function() {
			this.closedNote.style.display = 'block';
			this.openedNote.style.display = 'none';
			this.tool.style.display = 'none';
			if (location.hash != '') {
				location.hash = '';
			}
		}
	
		/*
		 * ڡ¸
		 */
		this.save = function() {
			var title = prompt('ʤޤĤƤ');
			if (title == null) {
				; // 󥻥
			} else if (title.length == 0) {
				alert('ʤޤʤ!');
			} else if (title.length > <?php echo $page_title_max_length ?>) {
				alert('ʤޤʤ!');
			} else {
				b.element('pageTitle').value = title;
				var form = b.element('toolbox');
				form.action = location.pathname + '?' + (new Date().getTime()) + location.hash;
				return true;
			}
			return false;
		}
	
		/*
		 * ɽѤʸ
		 * date: ե֥
		 */
		this.getDateTimeString = function(date) {
			var s = "";
			s += date.getFullYear() + "ͤ";
			s += (date.getMonth() + 1) + "";
			s += date.getDate() + "ˤ ";
			s += date.getHours() + ":";
			s += date.getMinutes() + ":";
			s += date.getSeconds();
			return s;
		}
	
		/*
		 * ڡɤ
		 * index: ڡΥǥå
		 */
		this.load = function(index) {
			if (this.indexPage.isOpening) {
				this.indexPage.close();
			}
			var page = this.pages[index];
	
			// 
			var date = new Date();
			date.setTime(page.date * 1000); // PHPtime()ä֤JavaScriptϥߥäǰ
			this.pageDateHolder.innerHTML = this.getDateTimeString(date);
	
			// ȥ
			var permalink = location.pathname + "?page=" + page.date + "#note";
			this.pageTitleHolder.innerHTML = '<a href="' + permalink + '">' + page.title + '</a>';
	
			// ᡼
			this.pageImageHolder.src = '<?php echo $data_dir . $page_image_prefix ?>' + page.date + '<?php echo $page_image_suffix ?>';
	
			// ڡֹ
			var pageTotal = this.pages.length;
			var pageNo = pageTotal - index;
			this.pageNoLeft.innerHTML = '' + (pageNo * 2 - 1) + ' / ' + (pageTotal * 2);
			this.pageNoRight.innerHTML = '' + (pageNo * 2) + ' / ' + (pageTotal * 2);;
	
			this.iconState(index);
			this.currentIndex = index;
	
		}
	
		/*
		 * Υڡɽ
		 */
		this.prev = function() {
			this.load(this.currentIndex + 1);
		}
	
		/*
		 * Υڡɽ
		 */
		this.next = function() {
			this.load(this.currentIndex - 1);
		}
	
		/*
		 * ǸŤΥڡɽ
		 */
		this.earliest = function() {
			this.load(this.pages.length - 1);
		}
	
		/*
		 * ǿΥڡɽ
		 */
		this.latest = function() {
			this.load(0);
		}
	
		/*
		 * ξ֤ѹ
		 */
		this.iconState = function(index) {
			var isLatest = (index == 0);
			var isEarliest = (index == this.pages.length - 1);
	
			this.latestIcon.disabled = isLatest;
			this.nextIcon.disabled = isLatest;
			this.earliestIcon.disabled = isEarliest;
			this.prevIcon.disabled = isEarliest;
	
			this.latestIcon.src = isLatest ? 'images/latestx.png' : 'images/latest.png'; 
			this.nextIcon.src = isLatest ? 'images/nextx.png' : 'images/next.png';
			this.earliestIcon.src = isEarliest ? 'images/earliestx.png' : 'images/earliest.png';
			this.prevIcon.src = isEarliest ? 'images/prevx.png' : 'images/prev.png';
		}
	
		/*
		 * դбڡΥǥå
		 * date: 
		 */
		this.getIndexByDate = function(date) {
			for (var i = 0; i < this.pages.length; i++) {
				if (this.pages[i].date == date) {
					return i;
				}
			}
			return 0;
		}

		/*
		 * ڡ
		 * date: 
		 * title: ȥʸ
		 */
		this.Page = function(date, title) {
			this.date = date;
			this.title = title;
		}

		/*
		 * ⤯ڡ
		 * note: Τ⤯ĥΡ 
		 */
		this.IndexPage = function(note) {
			this.ORDER_DESC = 0;
			this.ORDER_ASC = 1;
			var parent = note;
			var indexPage = this;

			/*
			 * 
			 */
			this.initialize = function() {
				this.searchPage = b.element('noteIndexSearchPage');
				this.listPage = b.element('noteIndexListPage');
				this.tab = b.element('noteIndexTab');
				this.entry = b.element('entry');
				this.tab.style.zIndex = 1;
				this.order = <?php echo $report_default_order ?>;
				this.num = <?php echo $report_default_num ?>;
				this.query = "";
				this.tab.onclick = function() {
					indexPage.open();
				}
				this.shiori = b.element('shiori');
				this.shiori.onclick = function() {
					indexPage.close();
				}
				var desc = b.element('noteIndexOrderDesc');
				var asc = b.element('noteIndexOrderAsc');
				desc.onclick = function() {
					indexPage.setOrder(indexPage.ORDER_DESC);
				}
				asc.onclick = function() {
					indexPage.setOrder(indexPage.ORDER_ASC);
				}
				if (this.order == this.ORDER_DESC) {
					desc.checked = true;
				} else {
					asc.checked = true;
				}
				
				this.queryForm = b.element('noteIndexQuery');
				this.queryForm.onkeyup = function() {
					indexPage.setQuery(indexPage.queryForm.value);
				}
				this.queryForm.onchange = function() {
					indexPage.setQuery(indexPage.queryForm.value);
				}
				this.indexPages = b.element('noteIndexPages');
				this.isOpening = false;
				this.reportButton = b.element('noteIndexReport');
				this.reportButton.onclick = function() {
					indexPage.report();
				}
			}
			/*
			 * ⤯򳫤
			 */
			this.open = function() {
				this.isOpening = true;
				this.currentPage = parent.currentIndex;
				this.searchPage.style.display = 'block';
				this.listPage.style.display = 'block';
				parent.tool.style.display = 'none';
				parent.pageImageHolder.src = "images/dummy.png";
				parent.pageDateHolder.innerHTML = "";
				parent.pageTitleHolder.innerHTML = '⤯';
				parent.pageNoLeft.innerHTML = "";
				parent.pageNoRight.innerHTML = "";
				this.tab.style.zIndex = 3;
				this.entry.style.zIndex = 1;
				this.shiori.style.display = 'block';
				if (this.pages == null) {
					this.createList();
				}
			}

			/*
			 * ⤯Ĥ
			 */
			this.close = function() {
				this.isOpening = false;
				this.searchPage.style.display = 'none';
				this.listPage.style.display = 'none';
				this.tab.style.zIndex = 1;
				this.entry.style.zIndex = 3;
				this.shiori.style.display = 'none';
				parent.load(this.currentPage);
				parent.tool.style.display = 'block';
			}

			/*
			 * ϰ֤
			 */
			this.setStart = function(n) {
				this.start = n;
				this.updateView();
			}

			/*
			 * ֤
			 */
			this.setOrder = function(order) {
				this.order = order;
				this.createList();
			}

			/*
			 * ʸ
			 */
			this.setQuery = function(query) {
				this.query = query;
				this.createList();
			}

			/*
			 * ⤯ꥹȤ
			 */
			this.createList = function() {
				this.pages = new Array();
				var query = this.query.toLowerCase();
				for (var i = 0; i < parent.pages.length; i++) {
					// ʸ󤬻ꤵƤ鸡
					if (query != "") {
						var title = parent.pages[i].title.toLowerCase();
						if (title.indexOf(query) == -1) {
							continue;
						}
					}
					// ɽ
					if (this.order == this.ORDER_DESC) {
						this.pages.push(parent.pages[i]);
					} else {
						this.pages.unshift(parent.pages[i]);
					}
				}
				this.setStart(<?php echo $report_default_start ?>);
			}

			/*
			 * ɽ򹹿
			 */
			this.updateView = function() {
				var total = this.pages.length;
				// ɽ
				var num = this.num;
				if (this.start > total) {
					num = 0;
				} else if (this.start + num > total) {
					num = total - this.start;
				}
				// ꥹȤκ
				var s = "<dl>";
				for (var i = 0; i < num; i++) {
					var page = this.pages[i + this.start];
					var date = new Date();
					date.setTime(page.date * 1000);
					s += "<dt class='noteIndexDate'>" + parent.getDateTimeString(date) + "</dt>";
					s += "<dd><a href='#note' onclick='" + app + ".note.load(";
					s += app + ".note.getIndexByDate(\"" + page.date + "\"));return false;'>";
					s += page.title + "</a></dd>";
				}
				s += "</dl>";
				this.listPage.innerHTML = s;

				// ⤯ڡֹ󥯤κ
				var indexPages = Math.ceil(total / this.num);
				this.indexPages.innerHTML = "";
				if (indexPages > 1) {
					for (var i = 0; i < indexPages; i++) {
						if (this.start == (i * this.num)) {
							this.indexPages.innerHTML += ' ' + i + ' ';
						} else {
							this.indexPages.innerHTML += ' <a href="#note" onclick="' + app + '.note.indexPage.setStart(' + (i * this.num) + ')">' + i + '</a> ';
						}
					}
				}
			}

			/*
			 * ݡȺ
			 */
			this.report = function() {
				b.element('noteIndexForm').action = location.pathname;
				b.element('noteIndexFormNum').value = this.num;
				b.element('noteIndexFormQuery').value = this.query;
				b.element('noteIndexFormStart').value = this.start;
				b.element('noteIndexFormOrder').value = this.order;
			}

			this.initialize();
		}

		this.initialize();
	}
}

// Ф󥢥ץꥱͣΥХѿ
var blackBoard;

// 
window.onload = function() {

	blackBoard = new BlackBoard('blackBoard');

	var ua = navigator.userAgent.toLowerCase();

	// GeckoϤSafari
	if (ua.indexOf("gecko") != -1) {
		ua = "gecko"; 
	// Opera
	} else if (ua.indexOf("opera") != -1) {
		ua = "opera"; 
	// IE
	} else if (ua.indexOf("msie") != -1) {
		ua = "ie";
	// ¾
	} else {
		ua = "other";
	}

	// 
	if (ua == "gecko") {
		blackBoard.initialize();
	} else {
		blackBoard.initializeWith(ua);
	}

	if (blackBoard.chalk && blackBoard.rm) {
		/*
		 * ɥå
		 */
		document.onmousemove = function(e) {
			with (blackBoard) {
				if (chalk.isDown) {
					chalk.moveTo(getMouseX(e), getMouseY(e));
				}
			}
		}
	
		/*
		 * ɥåλ
		 */
		document.onmouseup = function(e) {
			with (blackBoard) {
				chalk.up();
				if (chalk.points.length > 0) {
					rm.sendScript(chalk.script, chalk.points);
				}
				chalk.initialize();
			}
		}
	}
}

